/*
 * Copyright 2023 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.audit;

public class AuditPacketType {
    public static final int NSA$C_PKT_ACCESS_DESIRED = 1;
    public static final int NSA$C_PKT_ACCOUNT = 2;
    public static final int NSA$C_PKT_ALARM_NAME = 3;
    public static final int NSA$C_PKT_AUDIT_FLAGS = 5;
    public static final int NSA$C_PKT_AUDIT_NAME = 6;
    public static final int NSA$C_PKT_SYSTEM_NAME = 7;
    public static final int NSA$C_PKT_SYSTEM_ID = 8;
    public static final int NSA$C_PKT_DEVICE_NAME = 9;
    public static final int NSA$C_PKT_DISMOUNT_FLAGS = 10;
    public static final int NSA$C_PKT_HOLDER_NAME = 11;
    public static final int NSA$C_PKT_HOLDER_OWNER = 12;
    public static final int NSA$C_PKT_ID_ATTRIBUTES = 13;
    public static final int NSA$C_PKT_ID_NAME = 14;
    public static final int NSA$C_PKT_ID_NEW_NAME = 15;
    public static final int NSA$C_PKT_ID_VALUE = 16;
    public static final int NSA$C_PKT_ID_NEW_VALUE = 17;
    public static final int NSA$C_PKT_IDENTIFIERS_USED = 18;
    public static final int NSA$C_PKT_IMAGE_NAME = 19;
    public static final int NSA$C_PKT_INSTALL_FILE = 20;
    public static final int NSA$C_PKT_INSTALL_FLAGS = 21;
    public static final int NSA$C_PKT_INSTALL_PRIVS = 22;
    public static final int NSA$C_PKT_LOGICAL_NAME = 23;
    public static final int NSA$C_PKT_MOUNT_FLAGS = 24;
    public static final int NSA$C_PKT_NEW_DATA = 25;
    public static final int NSA$C_PKT_FILE_ID = 26;
    public static final int NSA$C_PKT_OBJECT_MIN_CLASS = 27;
    public static final int NSA$C_PKT_OBJECT_MAX_CLASS = 28;
    public static final int NSA$C_PKT_OBJECT_NAME = 29;
    public static final int NSA$C_PKT_OBJECT_NAME_2 = 30;
    public static final int NSA$C_PKT_OBJECT_OWNER = 31;
    public static final int NSA$C_PKT_OBJECT_PROTECTION = 32;
    public static final int NSA$C_PKT_OBJECT_TYPE = 33;
    public static final int NSA$C_PKT_ORIGINAL_DATA = 34;
    public static final int NSA$C_PKT_PARENT_ID = 35;
    public static final int NSA$C_PKT_PARENT_NAME = 36;
    public static final int NSA$C_PKT_PARENT_OWNER = 37;
    public static final int NSA$C_PKT_PARENT_USERNAME = 38;
    public static final int NSA$C_PKT_PASSWORD = 39;
    public static final int NSA$C_PKT_PRIVS_USED = 40;
    public static final int NSA$C_PKT_PROCESS_ID = 41;
    public static final int NSA$C_PKT_PROCESS_NAME = 42;
    public static final int NSA$C_PKT_REMOTE_NODE_ID = 43;
    public static final int NSA$C_PKT_REMOTE_NODENAME = 44;
    public static final int NSA$C_PKT_REMOTE_USERNAME = 45;
    public static final int NSA$C_PKT_SUBJECT_CLASS = 46;
    public static final int NSA$C_PKT_SUBJECT_OWNER = 47;
    public static final int NSA$C_PKT_FINAL_STATUS = 48;
    public static final int NSA$C_PKT_TERMINAL = 49;
    public static final int NSA$C_PKT_TIME_STAMP = 50;
    public static final int NSA$C_PKT_UAF_ADD = 51;
    public static final int NSA$C_PKT_UAF_DELETE = 52;
    public static final int NSA$C_PKT_UAF_MODIFY = 53;
    public static final int NSA$C_PKT_UAF_COPY = 54;
    public static final int NSA$C_PKT_UAF_FIELDS = 55;
    public static final int NSA$C_PKT_USERNAME = 56;
    public static final int NSA$C_PKT_UAF_SOURCE = 57;
    public static final int NSA$C_PKT_UAF_RENAME = 58;
    public static final int NSA$C_PKT_VOLUME_NAME = 59;
    public static final int NSA$C_PKT_VOLUME_SET_NAME = 60;
    public static final int NSA$C_PKT_DEFAULT_USERNAME = 82;
    public static final int NSA$C_PKT_LOCAL_USERNAME = 83;
    public static final int NSA$C_PKT_FIELD_NAME = 84;
    public static final int NSA$C_PKT_SNAPSHOT_TIME = 139;
    public static final int NSA$C_PKT_TRANSPORT_NAME = 140;
    public static final int NSA$C_PKT_DECNET_LINK_ID = 141;
    public static final int NSA$C_PKT_DECNET_OBJECT_NAME = 142;
    public static final int NSA$C_PKT_DECNET_OBJECT_NUMBER = 143;
    public static final int NSA$C_PKT_ASSOCIATION_NAME = 146;
    public static final int NSA$C_PKT_REM_ASSOCIATION_NAME = 147;
    public static final int NSA$C_PKT_CONNECTION_ID = 148;
    public static final int NSA$C_PKT_MESSAGE = 149;
    public static final int NSA$C_PKT_MSGFILNAM = 150;
    public static final int NSA$C_PKT_OBJECT_POINTER = 151;
    public static final int NSA$C_PKT_ID_NEW_ATTRIBUTES = 152;
    public static final int NSA$C_PKT_SYSTIM_NEW = 153;
    public static final int NSA$C_PKT_SYSTIM_OLD = 154;
    public static final int NSA$C_PKT_PARAMS_WRITE = 155;
    public static final int NSA$C_PKT_PARAMS_INUSE = 156;
    public static final int NSA$C_PKT_MATCHING_ACE = 157;
    public static final int NSA$C_PKT_MAILBOX_UNIT = 159;
    public static final int NSA$C_PKT_NEW_OWNER = 160;
    public static final int NSA$C_PKT_NEW_PRIORITY = 161;
    public static final int NSA$C_PKT_OLD_PRIORITY = 162;
    public static final int NSA$C_PKT_RESOURCE_NAME = 164;
    public static final int NSA$C_PKT_LNM_TABLE_NAME = 165;
    public static final int NSA$C_PKT_LNM_PARENT_NAME = 166;
    public static final int NSA$C_PKT_EFC_NAME = 167;
    public static final int NSA$C_PKT_TARGET_PROCESS_CLASS = 168;
    public static final int NSA$C_PKT_TARGET_PROCESS_ID = 169;
    public static final int NSA$C_PKT_TARGET_PROCESS_NAME = 170;
    public static final int NSA$C_PKT_TARGET_PROCESS_OWNER = 171;
    public static final int NSA$C_PKT_TARGET_USERNAME = 172;
    public static final int NSA$C_PKT_NEW_PRIVILEGES = 173;
    public static final int NSA$C_PKT_OLD_PRIVILEGES = 174;
    public static final int NSA$C_PKT_REMOTE_NODE_FULLNAME = 175;
    public static final int NSA$C_PKT_PRIVS_MISSING = 185;
    public static final int NSA$C_PKT_TARGET_DEVICE_NAME = 186;
    public static final int NSA$C_PKT_SECTION_NAME = 187;
    public static final int NSA$C_PKT_ID_VALUE_ASCII = 188;
    public static final int NSA$C_PKT_OBJECT_CLASS = 189;
    public static final int NSA$C_PKT_SUPPRESS = 190;
    public static final int NSA$C_PKT_SOURCE_PROCESS_ID = 192;
    public static final int NSA$C_PKT_REQUEST_NUMBER = 193;
    public static final int NSA$C_PKT_ACCESS_MODE = 194;
    public static final int NSA$C_PKT_SYSTEM_SERVICE_NAME = 195;
    public static final int NSA$C_PKT_NEW_AUTH_PRIVILEGES = 196;
    public static final int NSA$C_PKT_OLD_AUTH_PRIVILEGES = 197;
    public static final int NSA$C_PKT_NEW_DEF_PRIVILEGES = 198;
    public static final int NSA$C_PKT_OLD_DEF_PRIVILEGES = 199;
    public static final int NSA$C_PKT_NEW_PROCESS_ID = 200;
    public static final int NSA$C_PKT_NEW_PROCESS_OWNER = 201;
    public static final int NSA$C_PKT_NEW_PROCESS_NAME = 202;
    public static final int NSA$C_PKT_NEW_IMAGE_NAME = 203;
    public static final int NSA$C_PKT_NEW_USERNAME = 204;
    public static final int NSA$C_PKT_FILE_NAME = 209;
    public static final int NSA$C_PKT_DIRECTORY_NAME = 210;
    public static final int NSA$C_PKT_PRINCIPAL_FULLNAME = 212;
    public static final int NSA$C_PKT_TARGET_FULLNAME = 213;
    public static final int NSA$C_PKT_SOURCE_FULLNAME = 214;
    public static final int NSA$C_PKT_DESIRED_FULLNAME = 215;
    public static final int NSA$C_PKT_CLAIMED_USERNAME = 216;
    public static final int NSA$C_PKT_CLAIMED_FULLNAME = 217;
    public static final int NSA$C_PKT_CLAIMED_NODENAME = 218;
    public static final int NSA$C_PKT_TIME_REQ = 219;
    public static final int NSA$C_PKT_TIME_REC = 220;
    public static final int NSA$C_PKT_REQ_FLAGS = 221;
    public static final int NSA$C_PKT_RET_FLAGS = 222;
    public static final int NSA$C_PKT_LIFETIME_REQ = 223;
    public static final int NSA$C_PKT_LIFETIME_REC = 224;
    public static final int NSA$C_PKT_CRED_USAGE = 225;
    public static final int NSA$C_PKT_CONTEXT_HANDLE = 226;
    public static final int NSA$C_PKT_QOP_STATE = 227;
    public static final int NSA$C_PKT_CONF_STATE = 228;
    public static final int NSA$C_PKT_DELEG_CRED_HANDLE = 229;
    public static final int NSA$C_PKT_STATE_FILE_NAME = 241;
    public static final int NSA$C_PKT_DIRECTORY_FULLNAME = 242;
    public static final int NSA$C_PKT_FROM_DIR_FULLNAME = 243;
    public static final int NSA$C_PKT_TO_DIR_FULLNAME = 244;
    public static final int NSA$C_PKT_ISSUER_FULLNAME = 245;
    public static final int NSA$C_PKT_SUBJECT_FULLNAME = 246;
    public static final int NSA$C_PKT_IDENTIFIERS_MISSING = 256;
    public static final int NSA$C_PKT_SENSITIVE_FIELD_NAME = 257;
    public static final int NSA$C_PKT_SENSITIVE_ORIG_DATA = 258;
    public static final int NSA$C_PKT_SENSITIVE_NEW_DATA = 259;
    
 }
