package dk.vajhoej.vms.audit.test;

import java.io.IOException;
import java.io.PrintWriter;

import dk.vajhoej.record.RecordException;
import dk.vajhoej.vms.audit.AuditFile;
import dk.vajhoej.vms.audit.AuditRecord;

public class Test {
    public static void main(String[] args) throws IOException, RecordException {
		long t1 = System.currentTimeMillis();
        AuditFile af = new AuditFile(args[0]);
        PrintWriter pw = new PrintWriter(args[1]);
        int n = 0;
        while(af.more()) {
            AuditRecord ar = af.read();
            pw.println(ar);
            n++;
        }
        pw.close();
        af.close();
        long t2 = System.currentTimeMillis();
        System.out.println(n + " records in " + (t2 - t1) + " milliseconds");
    }
}
